Get an issue's labels
GET
/repos/{owner}/{repo}/issues/{index}/labels
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/1/labels';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/issues/1/labels \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the issue
Responses
Section titled “Responses”LabelList
Media typeapplication/json
Array<object>
Label a label to an issue or a pr
object
color
string
description
string
exclusive
boolean
id
integer format: int64
is_archived
boolean
name
string
url
string
Example
[ { "color": "00aabb", "exclusive": false, "is_archived": false }]APINotFound is a not found empty response
Media typeapplication/json